ch.qos.logback.core.pattern.color

## Class BoldYellowCompositeConverter<E>

- java.lang.Object
- - ch.qos.logback.core.pattern.Converter<E>
  - - ch.qos.logback.core.pattern.FormattingConverter<E>
    - - ch.qos.logback.core.pattern.DynamicConverter<E>
      - - ch.qos.logback.core.pattern.CompositeConverter<E>
        - - ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase<E>
          - - ch.qos.logback.core.pattern.color.BoldYellowCompositeConverter<E>

Type Parameters:
  `E` -

All Implemented Interfaces:
  ContextAware, LifeCycle

    public class BoldYellowCompositeConverter<E>
    extends ForegroundCompositeConverterBase<E>

Encloses a given set of converter output in bold yellow using the appropriate ANSI escape codes.

Since:
  1.0.5
Author:
  Ceki Gülcü

### Field Summary

### Fields inherited from class ch.qos.logback.core.pattern.DynamicConverter

`started`

### Constructor Summary

Constructors
Constructor and Description
`BoldYellowCompositeConverter()`

### Method Summary

Methods
`protected java.lang.String` `getForegroundColorCode(E event)` Derived classes return the foreground color specific to the derived class instance.

### Methods inherited from class ch.qos.logback.core.pattern.color.ForegroundCompositeConverterBase

`transform`

### Methods inherited from class ch.qos.logback.core.pattern.CompositeConverter

`convert, getChildConverter, setChildConverter, toString`

### Methods inherited from class ch.qos.logback.core.pattern.DynamicConverter

`addError, addError, addInfo, addInfo, addStatus, addWarn, addWarn, getContext, getFirstOption, getOptionList, isStarted, setContext, setOptionList, start, stop`

### Methods inherited from class ch.qos.logback.core.pattern.FormattingConverter

`getFormattingInfo, setFormattingInfo, write`

### Methods inherited from class ch.qos.logback.core.pattern.Converter

`getNext, setNext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BoldYellowCompositeConverter

    public BoldYellowCompositeConverter()

### Method Detail

#### getForegroundColorCode

    protected java.lang.String getForegroundColorCode(E event)

Description copied from class: `ForegroundCompositeConverterBase`
Derived classes return the foreground color specific to the derived class instance.

Specified by:
  `getForegroundColorCode` in class `ForegroundCompositeConverterBase<E>`
Returns:
  the foreground color for this instance